name: "cspmasterleafnode-test"
function: telescope-monitoring
domain: general-monitoring
instances: ["01"]
{{- $domain := .Values.global.domain }}
{{- $family := .Values.deviceServers.cspmasterleafnode.family }}
{{- $member := .Values.deviceServers.cspmasterleafnode.member }}
entrypoints:
  - name: "ska_tmc_cspmasterleafnode.csp_master_leaf_node_mid.MidTmcLeafNodeCspControl"
server:
  name: "csp_master_leaf_node"
  instances:
  - name: "01"
    classes:
    - name: "MidTmcLeafNodeCspControl"
      devices:
      - name: "{{ $domain }}/{{ $family }}/{{ $member }}"
        properties:
        - name: "CspMasterFQDN"
          values:
          - "{{.Values.global.csp_master}}"
        - name: "SkaLevel"
          values:
            - "3"
        - name: "LoggingTargetsDefault"
          values:
            - "tango::logger"
        - name: "LoggingLevelDefault"
          values:
            - "5"
        - name: "AdapterTimeOut"
          values:
            - "{{.Values.deviceServers.cspmasterleafnode.AdapterTimeOut}}"
        - name: "LivelinessCheckPeriod"
          values:
            - "{{.Values.deviceServers.cspmasterleafnode.LivelinessCheckPeriod}}"
        - name: "EventSubscriptionCheckPeriod"
          values:
            - "{{.Values.deviceServers.cspmasterleafnode.EventSubscriptionCheckPeriod}}"


depends_on:
  - device: sys/database/2
image:
  registry: "{{.Values.cspmasterleafnode.image.registry}}"
  image: "{{.Values.cspmasterleafnode.image.image}}"
  tag: "{{.Values.cspmasterleafnode.image.tag}}"
  pullPolicy: "{{.Values.cspmasterleafnode.image.pullPolicy}}"

